ALTER TABLE JOB_CHAIN_MODE DROP CONSTRAINT IF EXISTS JOB_CHAIN_MODE_WORKFLOW_SCRIPT_FK;
DROP INDEX IF EXISTS JOB_CHAIN_MODE_WORKFLOW_SCRIPT_NU;
ALTER TABLE JOB_CHAIN_MODE DROP COLUMN WORKFLOW_SCRIPT_ID;

CREATE TABLE JOB_CHAIN_MODE_CONDITION (
	JOB_CHAIN_MODE_CONDITION_ID		INT				NOT NULL,
	JOB_CHAIN_MODE_ID				INT				NOT NULL,
	CONTEXT_KEY						VARCHAR(255)	NOT NULL,
	OPERATOR						VARCHAR(30)		NOT NULL,
	VALUE							MEDIUMTEXT		    NULL,
	REVISION            			INT             NOT NULL,  
	CREATED_DATE        			TIMESTAMP       NOT NULL,  
	CREATED_BY        				VARCHAR(50)    	NOT NULL,  
	LAST_UPDATED_DATE 				TIMESTAMP       NOT NULL,  
	LAST_UPDATED_BY    				VARCHAR(50)    	NOT NULL,
	CHECK OPERATOR IN ('EQUALS','NOT_EQUALS','IN','NOT_IN','GREATER_THAN','LESS_THAN','GREATER_THAN_OR_EQUAL','LESS_THAN_OR_EQUAL','STARTS_WITH','ENDS_WITH','CONTAINS','EXISTS','NOT_EXISTS','REGEXP'),
	PRIMARY KEY  (JOB_CHAIN_MODE_CONDITION_ID)    
);

CREATE INDEX JOB_CHAIN_MODE_CONDITION_JOB_CHAIN_MODE_ID_NU ON JOB_CHAIN_MODE_CONDITION (JOB_CHAIN_MODE_ID);
ALTER TABLE JOB_CHAIN_MODE_CONDITION ADD CONSTRAINT JOB_CHAIN_MODE_CONDITION_FK FOREIGN KEY (JOB_CHAIN_MODE_ID) REFERENCES JOB_CHAIN_MODE (JOB_CHAIN_MODE_ID);

DROP TABLE WORKFLOW_SCRIPT;