ALTER TABLE JOB_CHAIN_MODE DROP FOREIGN KEY JOB_CHAIN_MODE_WORKFLOW_SCRIPT_FK;
ALTER TABLE JOB_CHAIN_MODE DROP INDEX JOB_CHAIN_MODE_WORKFLOW_SCRIPT_NU;
ALTER TABLE JOB_CHAIN_MODE DROP COLUMN WORKFLOW_SCRIPT_ID;

CREATE TABLE JOB_CHAIN_MODE_CONDITION (  
	JOB_CHAIN_MODE_CONDITION_ID   INT(10) UNSIGNED              NOT NULL AUTO_INCREMENT,  
	JOB_CHAIN_MODE_ID     	INT(10) UNSIGNED                    NOT NULL,  
	CONTEXT_KEY			VARCHAR(255)							NOT NULL,
	OPERATOR			ENUM('EQUALS','NOT_EQUALS','IN','NOT_IN','GREATER_THAN','LESS_THAN','GREATER_THAN_OR_EQUAL','LESS_THAN_OR_EQUAL','STARTS_WITH','ENDS_WITH','CONTAINS','EXISTS','NOT_EXISTS','REGEXP') character set utf8 NOT NULL,
	VALUE				TEXT									    NULL,
	REVISION            INT(10) UNSIGNED                        NOT NULL default '0',  
	CREATED_DATE        DATETIME                                NOT NULL,  
	CREATED_BY        VARCHAR(50)    	character set utf8      NOT NULL,  
	LAST_UPDATED_DATE DATETIME                                	NOT NULL,  
	LAST_UPDATED_BY    VARCHAR(50)    	character set utf8      NOT NULL,  
	PRIMARY KEY  (JOB_CHAIN_MODE_CONDITION_ID)  
) Engine=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin  COMMENT='OPS job chain mode condition table';

CREATE INDEX JOB_CHAIN_MODE_CONDITION_JOB_CHAIN_MODE_ID_NU ON JOB_CHAIN_MODE_CONDITION (JOB_CHAIN_MODE_ID);
ALTER TABLE JOB_CHAIN_MODE_CONDITION ADD CONSTRAINT JOB_CHAIN_MODE_CONDITION_FK FOREIGN KEY (JOB_CHAIN_MODE_ID) REFERENCES JOB_CHAIN_MODE (JOB_CHAIN_MODE_ID);

DROP TABLE WORKFLOW_SCRIPT;