ALTER TABLE JOB_CHAIN_MODE DROP CONSTRAINT JOB_CHAIN_MODE_SCRIPT_FK;
DROP INDEX JOB_CHAIN_MODE_SCRIPT_NU;
ALTER TABLE JOB_CHAIN_MODE DROP COLUMN WORKFLOW_SCRIPT_ID;

ALTER TABLE JOB_CHAIN_MODE DROP CONSTRAINT CHK_JOB_CHAIN_MODE_STATUS;
ALTER TABLE JOB_CHAIN_MODE ADD CONSTRAINT CHK_JOB_CHAIN_MODE_STATUS CHECK (STATUS IN ('FAILED','DIED','KILLED','MISSED','COMPLETED','ABANDONED','OVERLAPPED','CHAIN SKIPPED','CONDITIONAL'));

CREATE TABLE JOB_CHAIN_MODE_CONDITION (  
	JOB_CHAIN_MODE_CONDITION_ID   NUMBER(10)			PRIMARY KEY,  
	JOB_CHAIN_MODE_ID     	NUMBER(10)                  NOT NULL,  
	CONTEXT_KEY			NVARCHAR2(255)					NOT NULL,
	OPERATOR			NVARCHAR2(30)					NOT NULL,
	VALUE				NVARCHAR2(2000)					    NULL,
	REVISION            NUMBER(10)  default '0'         NOT NULL,  
	CREATED_DATE        TIMESTAMP                       NOT NULL,  
	CREATED_BY        NVARCHAR2(50)    	                NOT NULL,  
	LAST_UPDATED_DATE TIMESTAMP                         NOT NULL,  
	LAST_UPDATED_BY    NVARCHAR2(50)    	            NOT NULL,  
	CONSTRAINT CHK_JOB_CHAIN_MD_COND_OP CHECK (OPERATOR IN ('EQUALS','NOT_EQUALS','IN','NOT_IN','GREATER_THAN','LESS_THAN','GREATER_THAN_OR_EQUAL','LESS_THAN_OR_EQUAL','STARTS_WITH','ENDS_WITH','CONTAINS','EXISTS','NOT_EXISTS','REGEXP'))
);

CREATE INDEX JOB_CH_MD_COND_JB_CH_MD_ID_NU ON JOB_CHAIN_MODE_CONDITION (JOB_CHAIN_MODE_ID);
ALTER TABLE JOB_CHAIN_MODE_CONDITION ADD CONSTRAINT JOB_CHAIN_MODE_CONDITION_FK FOREIGN KEY (JOB_CHAIN_MODE_ID) REFERENCES JOB_CHAIN_MODE (JOB_CHAIN_MODE_ID);

DROP TABLE WORKFLOW_SCRIPT;

ALTER TABLE JOB_HISTORY_RESULT ADD VALUE_TEMP NVARCHAR2(2000) NULL;
UPDATE JOB_HISTORY_RESULT SET VALUE_TEMP = "VALUE";
ALTER TABLE JOB_HISTORY_RESULT DROP COLUMN "VALUE";
ALTER TABLE JOB_HISTORY_RESULT ADD "VALUE" NVARCHAR2(2000) NULL;
UPDATE JOB_HISTORY_RESULT SET "VALUE" = VALUE_TEMP;
ALTER TABLE JOB_HISTORY_RESULT DROP COLUMN VALUE_TEMP;