ALTER TABLE JOB_CHAIN_MODE DROP CONSTRAINT JOB_CHAIN_MODE_WORKFLOW_SCRIPT_FK;
DROP INDEX IF EXISTS JOB_CHAIN_MODE_WORKFLOW_SCRIPT_NU;
ALTER TABLE JOB_CHAIN_MODE DROP COLUMN WORKFLOW_SCRIPT_ID;

CREATE TABLE JOB_CHAIN_MODE_CONDITION (
	job_chain_mode_condition_id integer PRIMARY KEY,
	job_chain_mode_id integer NOT NULL,
	context_key		character varying(255) NOT NULL,
	operator			character varying(30) NOT NULL,
	value				text NULL,
	revision integer NOT NULL,
	created_date timestamp NOT NULL,
	created_by character varying(50) NOT NULL,
	last_updated_date timestamp NOT NULL,
	last_updated_by character varying(50) NOT NULL
);

ALTER TABLE JOB_CHAIN_MODE_CONDITION ADD CHECK (operator in ('EQUALS','NOT_EQUALS','IN','NOT_IN','GREATER_THAN','LESS_THAN','GREATER_THAN_OR_EQUAL','LESS_THAN_OR_EQUAL','STARTS_WITH','ENDS_WITH','CONTAINS','EXISTS','NOT_EXISTS','REGEXP'));
CREATE INDEX JOB_CHAIN_MODE_CONDITION_JOB_CHAIN_MODE_ID_NU ON JOB_CHAIN_MODE_CONDITION USING btree (job_chain_mode_id);
ALTER TABLE JOB_CHAIN_MODE_CONDITION ADD CONSTRAINT JOB_CHAIN_MODE_CONDITION_FK FOREIGN KEY (job_chain_mode_id) REFERENCES JOB_CHAIN_MODE (job_chain_mode_id);

DROP TABLE WORKFLOW_SCRIPT;